// Имитатор кнопки Назад
// ---------------------
function BackRU()
{
  window.history.back();
  return false;
}

function BackUnitRU(n)
{
 var str = '<DIV class=pagemenu style="background:no-repeat center right url(pic/unit'+n+'.gif)">'+
             '<A href="javascript:void BackRU()">возврат</A></DIV>';
 document.write(str);
}

function emptyf()
{
  return false;
}

function  NewBrouserRU(html, okno)
{
   var num;
   if (NewBrouserRU.arguments.length < 2)
      num = window.open(html,"","left=100,top=100,width=500,height=400,menubar=1,resizable=1,scrollbars=1");
   else
      num = window.open(html,"", okno);
   num.focus();
   return num;
}

function IsOpenWin(w)
{
  return w != null && typeof(w)=="object" && !w.closed;
}


// -- Заголовочная часть с меткой --
// ind -- 0 для главной
// ---------------------------------
function titleWeb(ind)
{
  var str = "";
  if (ind) str += "<A href='index.htm'>";
  str += "<IMG src='pic/logo.png' "+ 
         "border=0 hspace=0 vspace=0 "+ 
         "alt='Css-вёрстка' "+ 
         "title='Css-вёрстка'>";
  if (ind !=0) str += "</A>";
  str += "<H1>CSS-вёрстка</H1>";
  str += "<IMG id=label src='pic/label.gif' "+ 
         "border=0 hspace=0 vspace=0 "+ 
         "alt='Регистрационная метка' "+ 
         "title='Регистрационная метка'> ";
  document.write(str);
}



// Авторская подпись 
// -----------------
function signRU()
{
  var str = '&copy; 2009, март (версия 1.1) Александр Александрович Дуванов <A href="mailto:kurs@robotland.pereslavl.ru">kurs@robotland.pereslavl.ru</A>';
  document.write(str);
}

// ----
// Меню
// ----

// ----------
// Пункт меню
// ----------
// name    -- название позиции       
// link    -- ссылка               
// title   -- всплывающая надпись 
// -----------------------------
function ItemMenu (name, link, title)
{
  // свойства объекта
  this.name    = name;    // название позиции
  this.link    = link;    // ссылка
  this.title   = title;   // всплывающая надпись
}

// Пункты меню
// -----------

var ItemsMenu = new Array (
  new Array (new ItemMenu("начало", "index.htm", "Начало"), null),
  new Array (new ItemMenu("введение", "00.htm", "Введение"), 
               new Array (
                 new ItemMenu("для кого эта книга",  "0002.htm", "Для кого эта книга"),
                 new ItemMenu("декларация <CODE>DOCTYPE</CODE>",  "0001.htm", "Декларация <CODE>DOCTYPE</CODE>")
                         )),
  new Array (new ItemMenu("поток",  "01.htm", "Вёрстка потоком"), null),
  new Array (new ItemMenu("позиционирование",  "02.htm", "Вёрстка позиционированием блоков"), null),
  new Array (new ItemMenu("плавающие блоки",  "03.htm", "Вёрстка с помощью плавающих блоков"), null),
  new Array (new ItemMenu("ссылки", "links.htm", "Ссылки"), null),
  new Array (new ItemMenu("автор", "author.htm", "Автор"), null)

                         );

// Построение меню
// Входные параметры:
// item1  -- номер отмеченной позиции в меню первого уровня
// item2  -- номер отмеченной позиции в меню второго уровня или -1
// title3 -- название текущей страницы для хлебных крошек или "" 
// pos    -- положение меню: "up" -- сверху  
function putMenu(item1, item2, title3, pos)
{
  var str  = ""; // меню
  var str1 = ""; // меню первого уровня
  var str2 = ""; // меню второго уровня
  var str3 = ""; // хлебные крошки
  var i;
  
  // Меню первого уровня
  for (i=0; i<ItemsMenu.length; i++)
  {
    if (i==item1 && item2==-1 && !(title3 != "" && item2 == -1)) str1 += ItemsMenu[i][0].name;
    else 
    {
      if (i==item1) str1 += "<SPAN class=father>";
      str1 += "<A href='" +  ItemsMenu[i][0].link + "' title='" + ItemsMenu[i][0].title + "'>" +
           ItemsMenu[i][0].name + "</A>";
      if (i==item1) str1 += "</SPAN>";
    }
    if (i != ItemsMenu.length-1) str1 += " | ";
  }

  // Меню второго уровня
  if (item1 !=0  && ItemsMenu[item1][1] != null)  
  {
    for (i=0; i<ItemsMenu[item1][1].length; i++)
    {
      if (i==item2 && title3=="") str2 += ItemsMenu[item1][1][i].name;
      else 
      {
        if (i==item2) str2 += "<SPAN class=father>";
        str2 += "<A href='" +  ItemsMenu[item1][1][i].link + "' title='" + ItemsMenu[item1][1][i].title + "'>" +
             ItemsMenu[item1][1][i].name + "</A>";
        if (i==item2) str2 += "</SPAN>";
      }
      if (i != ItemsMenu[item1][1].length-1) str2 += " | ";
    }
  }

  // Хлебные крошки
  if (title3 != "" && item2 == -1)
  {
    str3 += "<A href='" +  ItemsMenu[0][0].link + "' title='" + ItemsMenu[0][0].title + "'>" +
         ItemsMenu[0][0].name + "</A>";
    str3 += "&nbsp;&rarr;&nbsp;"+title3;
  } 
  else if (title3 != "")
  {
    str3 += "<A href='" +  ItemsMenu[0][0].link + "' title='" + ItemsMenu[0][0].title + "'>" +
         ItemsMenu[0][0].name + "</A>";
    str3 +="&nbsp;&rarr;&nbsp;";
    str3 +="<A href='" +  ItemsMenu[item1][0].link + "' title='" + ItemsMenu[item1][0].title + "'>" +
         ItemsMenu[item1][0].name + "</A>";
    str3 +="&nbsp;&rarr;&nbsp;";
    str3 += "<A href='" +  ItemsMenu[item1][1][item2].link + "' title='" + ItemsMenu[item1][1][item2].title + "'>" +
         ItemsMenu[item1][1][item2].name + "</A>";
    str3 += "&nbsp;&rarr;&nbsp;"+title3;
  }

  // Вывод меню

  if (pos=="up")
  {
    str += str1;
    if (str2 != "") str += "<BR>"+str2;
    if (str3 != "") str += "<BR>"+str3;
  }
  else
  {
    if (str3 != "") str += str3+"<BR>";
    if (str2 != "") str += str2+"<BR>";
    str += str1;
  }
  document.write(str);
}


